<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Dandy
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php 
	$dandytopHeader = get_theme_mod('dandy_theme_options_topheader', '1');
	$dandysocialHeader = get_theme_mod('dandy_theme_options_socialheader', '1');
	$dandyfacebookURL = get_theme_mod('dandy_theme_options_facebookurl', '');
	$dandytwitterURL = get_theme_mod('dandy_theme_options_twitterurl', '');
	$dandylinkedinURL = get_theme_mod('dandy_theme_options_linkedinurl', '');
	$dandyinstagramURL = get_theme_mod('dandy_theme_options_instagramurl', '');
	$dandyyoutubeURL = get_theme_mod('dandy_theme_options_youtubeurl', '');
	$dandypinterestURL = get_theme_mod('dandy_theme_options_pinteresturl', '');
	$dandytumblrURL = get_theme_mod('dandy_theme_options_tumblrurl', '');
	$dandyvkURL = get_theme_mod('dandy_theme_options_vkurl', '');
	$dandyshowNews = get_theme_mod('dandy_theme_options_showflashnews', '1');
	$dandyflashText = get_theme_mod('dandy_theme_options_flashnewstext', __('Flash News', 'dandy') );
	$dandyBreadYes = get_theme_mod('dandy_theme_options_BreadYes', '1');
?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'dandy' ); ?></a>
	<header id="masthead" class="site-header" role="banner">
	<?php if($dandytopHeader == 1): ?>
		<div class="TopDandyHeader">
			<div class="dandyTop">
			<?php if($dandyshowNews == 1): ?>
			<div class="flashNews">
				<strong><?php echo esc_attr($dandyflashText); ?></strong>
				<ul id="dandyFlash">
				<?php
					$dandy_number_post = get_theme_mod('dandy_theme_options_flashnewsnumber', '5');
					$dandy_args = array( 'posts_per_page' => esc_attr($dandy_number_post), 'post_status'=>'publish', 'post_type'=>'post', 'orderby'=>'date', 'ignore_sticky_posts' => true );
					$dandymyposts = new wp_query( $dandy_args );
					while( $dandymyposts->have_posts() ) : $dandymyposts->the_post();
				?>
				<li>
						<a title="<?php the_time(get_option('date_format')); ?>" href="<?php the_permalink(); ?>"><?php echo esc_attr(wp_trim_words( get_the_title(), 3 )); ?></a>
						<span class="theFlashDate"><i class="fa fa-angle-double-right spaceLeftRight"></i><?php echo esc_attr(wp_trim_words( get_the_content() , '17' )); ?></span>
				</li>
					<?php endwhile; ?>
					<?php wp_reset_query(); ?>
				</ul>
			</div>
		<?php endif; ?><!-- .flashNews -->
				<?php if($dandysocialHeader == 1): ?>
				<div class="SocialTopDandy">
				<?php if (!empty($dandyfacebookURL)) : ?>
					<a href="<?php echo esc_url($dandyfacebookURL); ?>" title="<?php esc_attr_e( 'Facebook', 'dandy' ); ?>"><i class="fa fa-facebook spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Facebook', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandytwitterURL)) : ?>
					<a href="<?php echo esc_url($dandytwitterURL); ?>" title="<?php esc_attr_e( 'Twitter', 'dandy' ); ?>"><i class="fa fa-twitter spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Twitter', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandylinkedinURL)) : ?>
					<a href="<?php echo esc_url($dandylinkedinURL); ?>" title="<?php esc_attr_e( 'Linkedin', 'dandy' ); ?>"><i class="fa fa-linkedin spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Linkedin', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandyinstagramURL)) : ?>
					<a href="<?php echo esc_url($dandyinstagramURL); ?>" title="<?php esc_attr_e( 'Instagram', 'dandy' ); ?>"><i class="fa fa-instagram spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Instagram', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandyyoutubeURL)) : ?>
					<a href="<?php echo esc_url($dandyyoutubeURL); ?>" title="<?php esc_attr_e( 'YouTube', 'dandy' ); ?>"><i class="fa fa-youtube spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'YouTube', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandypinterestURL)) : ?>
					<a href="<?php echo esc_url($dandypinterestURL); ?>" title="<?php esc_attr_e( 'Pinterest', 'dandy' ); ?>"><i class="fa fa-pinterest spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Pinterest', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandytumblrURL)) : ?>
					<a href="<?php echo esc_url($dandytumblrURL); ?>" title="<?php esc_attr_e( 'Tumblr', 'dandy' ); ?>"><i class="fa fa-tumblr spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'Tumblr', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
				<?php if (!empty($dandyvkURL)) : ?>
					<a href="<?php echo esc_url($dandyvkURL); ?>" title="<?php esc_attr_e( 'VK', 'dandy' ); ?>"><i class="fa fa-vk spacesocial"><span class="screen-reader-text"><?php esc_attr_e( 'VK', 'dandy' ); ?></span></i></a>
				<?php endif; ?>
			   </div>
			   <?php endif; ?>
			</div>   
		</div>
		<?php endif; ?><!--end top-->
				<div class="headContDan">
						<?php if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ): ?>
					<div class="dandy-logo"><?php the_custom_logo()?></div>
						<?php else : ?>
					<div class="site-branding">
						<?php
						if ( is_front_page() && is_home() ) : ?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php else : ?>
							<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						<?php
						endif;

						$dandydescription = get_bloginfo( 'description', 'display' );
						if ( $dandydescription || is_customize_preview() ) : ?>
							<p class="site-description"><?php echo $dandydescription; /* WPCS: xss ok. */ ?></p>
						<?php endif; ?>
					</div><!-- .site-branding --><?php endif; ?>
					<nav id="site-navigation" class="main-navigation" role="navigation">
						<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i><?php esc_html_e( 'Select a page...', 'dandy' ); ?></button>
						<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
					</nav><!-- #site-navigation -->
				</div>	<!--end headcontdan-->
			<?php if( get_header_image() && is_home() ): ?>
				<div class="dandyHeaderimg">
						<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
				</div>
			<?php elseif (is_singular() && '' != get_the_post_thumbnail() )  :?>
				<?php $dandysrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'dandy-single-image'); ?>
				<img class="singleDandyimage" src="<?php echo esc_url($src[0]); ?>"/>	
			<?php endif; ?>
	</header><!-- #masthead -->
	<?php if ( (!is_front_page()) && ($dandyBreadYes == 1)) : ?>
		<div class="dandyBreadcrumb">
			<?php dandy_breadcrumb();?>
		</div>
	<?php endif; ?>
	<div id="content" class="site-content">
